Subject: Re: [netmod] [Editorial Errata Reported] RFC8342 (5362)

From: Ignas Bagdonas <[email-masked]>
Date: Thu, 17 May 2018 07:12:59 +0100

Hi there,

Reading the text, this errata appears to be correct - the previous 
obsoleted versions had separate branches, not the new NMDA based ones.

Authors, would you object to this?

Thank you.

Ignas

On 17/05/2018 05:25, RFC Errata System wrote:
> The following errata report has been submitted for RFC8342,
> "Network Management Datastore Architecture (NMDA)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5362
>
> --------------------------------------
> Type: Editorial
> Reported by: Rohit R Ranade <[email-masked]>
>
> Section: 2
>
> Original Text
> -------------
> The convention adopted by the interfaces
>     data model [RFC8343] and the IP data model [RFC8344] was to use two
>     separate branches rooted at the root of the data tree: one branch for
>     configuration data objects and one branch for operational state data
>     objects.
>
>
> Corrected Text
> --------------
> The convention adopted by the interfaces
>     data model [RFC7223] and the IP data model [RFC7277] was to use two
>     separate branches rooted at the root of the data tree: one branch for
>     configuration data objects and one branch for operational state data
>     objects.
>
>
> Notes
> -----
> The duplication of definition and separation of operational state data and configuration data happened in RFC7223 and RFC7277. RFC8343 and RFC8344 have corrected this using NMDA architecture
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC8342 (draft-ietf-netmod-revised-datastores-10)
> --------------------------------------
> Title               : Network Management Datastore Architecture (NMDA)
> Publication Date    : March 2018
> Author(s)           : M. Bjorklund, J. Schoenwaelder, P. Shafer, K. Watsen, R. Wilton
> Category            : PROPOSED STANDARD
> Source              : Network Modeling
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG

---

From: RFC Errata System <[email-masked]>
Date: Wed, 16 May 2018 21:25:34 -0700 (PDT)

Section: 2

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 17 May 2018 08:57:00 +0200 (CEST)

> obsoleted versions had separate branches, not the new NMDA based ones.

I agree.

> Authors, would you object to this?

No, this errata should be accepted.

However, the Informative References section (10.2) also needs to be
updated.

/martin

> > The duplication of definition and separation of operational state data
> > and configuration data happened in RFC7223 and RFC7277. RFC8343 and
> > RFC8344 have corrected this using NMDA architecture
> >
> > Instructions:
> > -------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 17 May 2018 08:08:35 +0200

I agree, we screwed this up. These references should have not been
updated to the new versions.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>